Delete a member of a profile extension table based on RIID

You can delete existing members of a profile extension table one at a time by specifying the Responsys ID (RIID).

Service URL:

/rest/api/v1.3/lists/{listName}/listExtensions/{petName}/members/{riid}

Request Method:

DELETE

Request Header:

Authorization=<AUTH_TOKEN>

Request Body:

None

Sample Response in case of success:

REQUEST NOTES:

  • The service URL requires the names of both the Profile List and the Profile Extension Table.
  • The response will always contain only RIID_ in the fieldNames attribute and the corresponding RIID_ values for the records in the records attribute in case the deletion of that record is successful.
  • In case delete failed for a record for some reason, the RIID_ of the record is not present in the response. Instead, an error message starting with DELETEFAILED: is returned. Client developers can look for the string DELETEFAILED: in the response for a particular row to determine whether that recipient was deleted successfully or not.
  • Other attributes in the response (mapTemplateName, insertOnNoMatch, updateOnMatch, matchColumnName1, matchColumnName2) will have default values (null/false).
{
  "recordData": {
    "fieldNames": [
      "RIID_"
    ],
    "records": [
      [
        "DELETEFAILED: NO records found for id\n"
      ]
    ],
    "mapTemplateName": null
  },
  "insertOnNoMatch": false,
  "updateOnMatch": null,
  "matchColumnName1": null,
  "matchColumnName2": null,
  "links": [
    {
      "rel": "self",
      "href": "/rest/api/v1.3/lists/DemoNewsLetterList/listExtensions/DemoNewsLetterPet/members/1761409",
      "method": "DELETE"
    },
    {
      "rel": "mergeProfileExtensionRecipients",
      "href": "/rest/api/v1.3/lists/DemoNewsLetterList/listExtensions/DemoNewsLetterPet/members",
      "method": "POST"
    },
    {
      "rel": "retrieveProfileExtensionRecipientsRIID",
      "href": "/rest/api/v1.3/lists/DemoNewsLetterList/listExtensions/DemoNewsLetterPet/members/&lt;riid&gt;",
      "method": "GET"
    }
  ]
}

Sample Response in case of failure:

{
  "recordData": {
    "fieldNames": [
      "RIID_"
    ],
    "records": [
      [
        "DELETEFAILED: NO records found for id\n"
      ]
    ],
    "mapTemplateName": null
  },
  "insertOnNoMatch": false,
  "updateOnMatch": null,
  "matchColumnName1": null,
  "matchColumnName2": null,
  "links": [
    {
      "rel": "self",
      "href": "/rest/api/v1.3/lists/DemoNewsLetterList/listExtensions/DemoNewsLetterPet/members/1761409",
      "method": "DELETE"
    },
    {
      "rel": "mergeProfileExtensionRecipients",
      "href": "/rest/api/v1.3/lists/DemoNewsLetterList/listExtensions/DemoNewsLetterPet/members",
      "method": "POST"
    },
    {
      "rel": "retrieveProfileExtensionRecipientsRIID",
      "href": "/rest/api/v1.3/lists/DemoNewsLetterList/listExtensions/DemoNewsLetterPet/members/&lt;riid&gt;",
      "method": "GET"
    }
  ]
}

Sample Responses in case of failure:

When the system cannot find a record matching the ID that you sent:

{
   "type": "",
   "title": "Record not found",
   "errorCode": "RECORD_NOT_FOUND",
   "detail": "No records found in the table for the given ids",
   "errorDetails": []
}

If the fs parameter is omitted:

{
  "type": "",
  "title": "Invalid request parameters",
  "errorCode": "INVALID_PARAMETER",
  "detail": "FieldList is null OR empty",
  "errorDetails": []
}